## pgsphere 1.1.1+2017.08.30

=== Makefile ===

PGSPHERE_VERSION = 1.1.5

# the base dir name may be changed depending on git clone command
SRC_DIR = $(shell basename $(shell pwd))

MODULE_big = pg_sphere
OBJS       = sscan.o sparse.o sbuffer.o vector3d.o point.o \
             euler.o circle.o line.o ellipse.o polygon.o \
             path.o box.o output.o gq_cache.o gist.o key.o \
             gnomo.o

EXTENSION   = pg_sphere
DATA_built  = pg_sphere--1.0.sql
DOCS        = README.pg_sphere COPYRIGHT.pg_sphere
REGRESS     = init tables points euler circle line ellipse poly path box index \
              contains_ops contains_ops_compat bounding_box_gist gnomo

EXTRA_CLEAN = pg_sphere--1.0.sql $(PGS_SQL) sscan.c

CRUSH_TESTS  = init_extended circle_extended 

# order of sql files is important
PGS_SQL    =  pgs_types.sql pgs_point.sql pgs_euler.sql pgs_circle.sql \
   pgs_line.sql pgs_ellipse.sql pgs_polygon.sql pgs_path.sql \
   pgs_box.sql pgs_contains_ops.sql pgs_contains_ops_compat.sql \
   pgs_gist.sql gnomo.sql \

ifdef USE_PGXS
  ifndef PG_CONFIG
    PG_CONFIG := pg_config
  endif
  PGXS := $(shell $(PG_CONFIG) --pgxs)
  include $(PGXS)
else
  subdir = contrib/pg_sphere
  top_builddir = ../..
  PG_CONFIG := $(top_builddir)/src/bin/pg_config/pg_config
  include $(top_builddir)/src/Makefile.global
  include $(top_srcdir)/contrib/contrib-global.mk
endif

crushtest: REGRESS += $(CRUSH_TESTS)
crushtest: installcheck

pg_sphere--1.0.sql: $(addsuffix .in, $(PGS_SQL))
	cat $^ > $@

sscan.o : sparse.c

sparse.c: sparse.y
ifdef YACC
	$(YACC) -d $(YFLAGS) -p sphere_yy -o sparse.c $<
else
	@$(missing) bison $< $@
endif

sscan.c : sscan.l
ifdef FLEX
	$(FLEX) $(FLEXFLAGS) -Psphere -o$@ $<
else
	@$(missing) flex $< $@
endif

dist : clean sparse.c sscan.c
	find . -name '*~' -type f -exec rm {} \;
	cd .. && tar --transform s/$(SRC_DIR)/pgsphere-$(PGSPHERE_VERSION)/ --exclude CVS -czf pgsphere-$(PGSPHERE_VERSION).tar.gz $(SRC_DIR) && cd -

## pgsphere 1.1.1+2017.04.11

=== debian/changelog ===
pgsphere (1.1.1+2017.04.11-1) unstable; urgency=low

  * Initial release (from github commit 2cb397). Closes: #680188

 -- Ole Streicher <olebole@debian.org>  Thu, 17 Aug 2017 14:24:17 +0200

=== debian/control ===
Source: pgsphere
Section: database
Priority: optional
Maintainer: Debian PostgreSQL Maintainers <pkg-postgresql-public@lists.alioth.debian.org>
Uploaders: Ole Streicher <olebole@debian.org>
Build-Depends: debhelper (>= 9),
               postgresql-server-dev-all
Standards-Version: 4.0.0
Homepage: http://pgsphere.projects.postgresql.org/
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-postgresql/pgsphere.git
Vcs-Git: https://anonscm.debian.org/cgit/pkg-postgresql/pgsphere.git

Package: postgresql-9.6-pgsphere
Architecture: any
Depends: postgresql-9.6,
         ${misc:Depends},
         ${shlibs:Depends}
Description: Spherical data types for PostgreSQL 9.6
 PgSphere, an extension for PostgreSQL, aims at providing uniform
 access to spherical data. It allows for a fast search and analysis for
 objects with spherical attributes in geographical, astronomical, or
 other applications using PostgreSQL.
 .
 By using an SQL interface, PgSphere's users can conveniently manage
 data of geographical objects around the world and astronomical data
 collections like star and other catalogues.
 .
 This package provides a module for PostgreSQL 9.6.

## pgsphere 1.1.1+2017.08.29

=== debian/changelog ===
pgsphere (1.1.1+2017.08.29-1.pgdg+1) sid-pgdg; urgency=medium

  * Rebuild for sid-pgdg (jenkins-pgsphere-source-distribution=sid-3,
    82e2bd0a49efbd9fad29d61c23ef24cebbca9993/git)

 -- apt.postgresql.org autobuilder <pgsql-pkg-debian@postgresql.org>  Wed, 30 Aug 2017 08:20:54 +0200

pgsphere (1.1.1+2017.08.29-1) unstable; urgency=low

  [ Ole Streicher ]
  * Add Markus Nullmeier as Co-maintainer

  [ Markus Nullmeier ]
  * Add flex to Build-Depends
  * New upstream version 1.1.1+2017.08.29. Fixes CI test failure on ppc64el

 -- Ole Streicher <olebole@debian.org>  Tue, 29 Aug 2017 16:14:45 +0200

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,10 @@
 Section: database
 Priority: optional
 Maintainer: Debian PostgreSQL Maintainers <pkg-postgresql-public@lists.alioth.debian.org>
-Uploaders: Ole Streicher <olebole@debian.org>
+Uploaders: Ole Streicher <olebole@debian.org>,
+           Markus Nullmeier <mnullmei@ari.uni-heidelberg.de>
 Build-Depends: debhelper (>= 9),
+               flex,
                postgresql-server-dev-all
 Standards-Version: 4.0.0
 Homepage: http://pgsphere.projects.postgresql.org/

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

SRCDIR=$(CURDIR)
export USE_PGXS=1

include /usr/share/postgresql-common/pgxs_debian_control.mk
clean: debian/control
.PHONY: debian/control

override_dh_auto_build:
	+pg_buildext build $(SRCDIR) build-%v "$(CFLAGS)"

override_dh_auto_clean:
	+pg_buildext clean $(SRCDIR) build-%v
	rm -rf results/

override_dh_auto_install:
	+pg_buildext install $(SRCDIR) build-%v postgresql-%v-pgsphere

%:
	dh $@

## pgsphere 1.1.1+2017.08.30

=== debian/changelog ===
pgsphere (1.1.1+2017.08.30-1build1) bionic; urgency=medium

  * No-change rebuild against postgresql-10

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 03 Nov 2017 11:56:16 -0400

pgsphere (1.1.1+2017.08.30-1) unstable; urgency=medium

  [ Markus Nullmeier ]
  * New upstream version 1.1.1+2017.08.30
  * updated upstream references

  [ Ole Streicher ]
  * Create a single package for all PostgreSQL versions
  * Rebuild against postgresql-10. Closes: #876865

 -- Ole Streicher <olebole@debian.org>  Wed, 27 Sep 2017 09:15:15 +0200

=== debian/control ===
--- 
+++ 
@@ -7,17 +7,18 @@
 Build-Depends: debhelper (>= 9),
                flex,
                postgresql-server-dev-all
-Standards-Version: 4.0.0
+Standards-Version: 4.1.0
 Homepage: http://pgsphere.projects.postgresql.org/
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-postgresql/pgsphere.git
 Vcs-Git: https://anonscm.debian.org/cgit/pkg-postgresql/pgsphere.git
 
-Package: postgresql-9.6-pgsphere
+Package: postgresql-pgsphere
 Architecture: any
-Depends: postgresql-9.6,
+Depends: ${postgresql:Depends},
          ${misc:Depends},
          ${shlibs:Depends}
-Description: Spherical data types for PostgreSQL 9.6
+Provides: ${postgresql:Provides}
+Description: Spherical data types for PostgreSQL
  PgSphere, an extension for PostgreSQL, aims at providing uniform
  access to spherical data. It allows for a fast search and analysis for
  objects with spherical attributes in geographical, astronomical, or
@@ -26,6 +27,3 @@
  By using an SQL interface, PgSphere's users can conveniently manage
  data of geographical objects around the world and astronomical data
  collections like star and other catalogues.
- .
- This package provides a module for PostgreSQL 9.6.
-

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

SRCDIR=$(CURDIR)
export USE_PGXS=1

MODULE_NAME=pgsphere

PG_DEPENDS=$(shell pg_buildext supported-versions | tac | sed s/^/postgresql-/)
PG_PROVIDES=$(shell pg_buildext supported-versions | tac | sed "s/^\(.*\)/postgresql-\1-$(MODULE_NAME)/")

override_dh_auto_build:
	+pg_buildext build $(SRCDIR) build-%v "$(CFLAGS)"

override_dh_auto_clean:
	+pg_buildext clean $(SRCDIR) build-%v
	rm -rf results/

override_dh_auto_install:
	+pg_buildext install $(SRCDIR) build-%v postgresql-$(MODULE_NAME)

override_dh_shlibdeps:
	dh_shlibdeps
	echo "postgresql:Depends=$(PG_DEPENDS)" | sed s/\ /\|/>> debian/postgresql-$(MODULE_NAME).substvars
	echo "postgresql:Provides=$(PG_PROVIDES)" | sed s/\ /,/>> debian/postgresql-$(MODULE_NAME).substvars

%:
	dh $@

## pgsphere 1.1.1+2018.10.13

=== Makefile ===
--- 
+++ 
@@ -16,7 +16,7 @@
 REGRESS     = init tables points euler circle line ellipse poly path box index \
               contains_ops contains_ops_compat bounding_box_gist gnomo
 
-EXTRA_CLEAN = pg_sphere--1.0.sql $(PGS_SQL) sscan.c
+EXTRA_CLEAN = pg_sphere--1.0.sql $(PGS_SQL) 
 
 CRUSH_TESTS  = init_extended circle_extended

=== doc/Makefile ===
#----------------------------------------------------------------------------
#
# pgSphere documentation makefile
#
#----------------------------------------------------------------------------

ifdef USE_PGXS
PG_CONFIG = pg_config
PGXS := $(shell $(PG_CONFIG) --pgxs)
include $(PGXS)
else
subdir = contrib/pg_sphere/doc
top_builddir = ../../..
include $(top_builddir)/src/Makefile.global
include $(top_srcdir)/contrib/contrib-global.mk
endif

.SECONDARY:
.NOTPARALLEL:

ifndef COLLATEINDEX
COLLATEINDEX = $(DOCBOOKSTYLE)/bin/collateindex.pl
endif

ifndef JADE
JADE = jade
endif
SGMLINCLUDE = -D $(srcdir)

ALLSGML := $(wildcard $(srcdir)/*.sgm)

ifdef DOCBOOKSTYLE
CATALOG = -c $(DOCBOOKSTYLE)/catalog
endif

COLLATEINDEX := $(PERL) $(COLLATEINDEX) -f -g


all   : html

.PHONY: html pdf ps

XMLDCL = declaration/xml.dcl

html  : pg_sphere.xml $(ALLSGML) pg_sphere.dsl
	@rm -f *.html
	@rm -rf html
	mkdir html
	mkdir html/img
	cp img/*.jpg html/img
	cp pg_sphere.css html
	$(JADE) $(JADEFLAGS) $(SGMLINCLUDE) $(CATALOG) -d pg_sphere.dsl -i html  -t sgml $(XMLDCL) $<
	mv *.html html

pg_sphere.tex : pg_sphere.xml $(ALLSGML) pg_sphere.dsl
	$(JADE) $(JADEFLAGS) $(SGMLINCLUDE) $(CATALOG) -d pg_sphere.dsl -i print -t tex -o $@ $(XMLDCL) $<

pdf : jadetex.cfg pg_sphere.pdf

pg_sphere.pdf: pg_sphere.tex
	@rm -f $*.aux $*.log $*.out
	pdfjadetex $<
	pdfjadetex $<
	pdfjadetex $<

ps : pg_sphere.ps

pg_sphere.ps: pg_sphere.pdf
	pdftops $< $@

pg_sphere.dsl : pg_sphere.dsl-dist
	cp $< $@

jadetex.cfg : jadetex.cfg-dist
	cp $< $@



##
## Clean
##

clean distclean maintainer-clean:
# HTML
	rm -rf html pg_sphere.dsl
# print
	rm -f *.rtf *.tex *.dvi *.aux *.log *.ps *.pdf *.out *.fot jadetex.cfg
# img
	make clean -C img

=== doc/img/Makefile ===
# Graphics

EPS = logo.eps  sbox.eps  scircle.eps  sellipse.eps  sline.eps  spath.eps  sphere.eps  spoint.eps  spoly.eps  strans.eps

CONVERT = convert

all: eps

eps : $(EPS)

%.eps: %.jpg
	$(CONVERT) $< eps:$@

clean :
	rm -f $(EPS)

=== debian/changelog ===
pgsphere (1.1.1+2018.10.13-2) unstable; urgency=medium

  * Team upload for PostgreSQL 12.
  * Add debian/gitlab-ci.yml.

 -- Christoph Berg <myon@debian.org>  Wed, 30 Oct 2019 10:01:21 +0100

pgsphere (1.1.1+2018.10.13-1) unstable; urgency=medium

  * Team upload.
  * New upstream snapshot with actual PostgreSQL 11 support.

 -- Christoph Berg <myon@debian.org>  Fri, 19 Oct 2018 23:09:27 +0200

pgsphere (1.1.1+2017.08.30-3) unstable; urgency=medium

  * Team upload for PostgreSQL 11.
  * Move maintainer address to team+postgresql@tracker.debian.org.

 -- Christoph Berg <myon@debian.org>  Fri, 12 Oct 2018 19:26:17 +0200

pgsphere (1.1.1+2017.08.30-2) unstable; urgency=medium

  * Team upload.
  * Fix Depends/Provides fields for more than two supported versions.
  * debian/tests/control: Depend on postgresql-all as the package itself does
    not pull in all required server versions.
  * Move packaging repository to salsa.debian.org

 -- Christoph Berg <christoph.berg@credativ.de>  Wed, 30 May 2018 09:04:50 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: pgsphere
 Section: database
 Priority: optional
-Maintainer: Debian PostgreSQL Maintainers <pkg-postgresql-public@lists.alioth.debian.org>
+Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
 Uploaders: Ole Streicher <olebole@debian.org>,
            Markus Nullmeier <mnullmei@ari.uni-heidelberg.de>
 Build-Depends: debhelper (>= 9),
@@ -9,8 +9,8 @@
                postgresql-server-dev-all
 Standards-Version: 4.1.0
 Homepage: http://pgsphere.projects.postgresql.org/
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-postgresql/pgsphere.git
-Vcs-Git: https://anonscm.debian.org/cgit/pkg-postgresql/pgsphere.git
+Vcs-Browser: https://salsa.debian.org/postgresql/pgsphere
+Vcs-Git: https://salsa.debian.org/postgresql/pgsphere.git
 
 Package: postgresql-pgsphere
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -21,8 +21,8 @@
 
 override_dh_shlibdeps:
 	dh_shlibdeps
-	echo "postgresql:Depends=$(PG_DEPENDS)" | sed s/\ /\|/>> debian/postgresql-$(MODULE_NAME).substvars
-	echo "postgresql:Provides=$(PG_PROVIDES)" | sed s/\ /,/>> debian/postgresql-$(MODULE_NAME).substvars
+	echo "postgresql:Depends=$(PG_DEPENDS)" | sed s/\ /\|/g >> debian/postgresql-$(MODULE_NAME).substvars
+	echo "postgresql:Provides=$(PG_PROVIDES)" | sed s/\ /,/g >> debian/postgresql-$(MODULE_NAME).substvars
 
 %:
 	dh $@

=== debian/tests/control ===
Depends: @, postgresql-server-dev-all, postgresql-all
Tests: installcheck
Restrictions: allow-stderr

## pgsphere 1.1.1+2020-10-20

=== debian/changelog ===
pgsphere (1.1.1+2020-10-20-2) unstable; urgency=medium

  * Remove Conflitcs+Replaces: postgresql-pgsphere (Closes: #989731)

 -- Ole Streicher <olebole@debian.org>  Mon, 21 Jun 2021 15:29:03 +0200

pgsphere (1.1.1+2020-10-20-1) unstable; urgency=medium

  * New upstream version 1.1.1+2020-10-20.
    Catches regression output variation on mips64el and hppa.

 -- Christoph Berg <myon@debian.org>  Tue, 20 Oct 2020 14:59:28 +0200

pgsphere (1.1.1+2020-09-24-3) unstable; urgency=medium

  * R³: no.

 -- Christoph Berg <myon@debian.org>  Mon, 19 Oct 2020 14:08:26 +0200

pgsphere (1.1.1+2020-09-24-2) unstable; urgency=medium

  * Upload for PostgreSQL 13.
  * Use dh --with pgxs.

 -- Christoph Berg <myon@debian.org>  Wed, 30 Sep 2020 18:58:24 +0200

pgsphere (1.1.1+2020-09-24-1) unstable; urgency=medium

  * New upstream version 1.1.1+2020-09-24.

 -- Christoph Berg <myon@debian.org>  Thu, 24 Sep 2020 16:17:56 +0200

pgsphere (1.1.1+2020-08-21-2) unstable; urgency=medium

  * Add missing docbook-xml build-dependency.
  * Document sparse.[ch] copyright.
  * Update project homepage.

 -- Christoph Berg <myon@debian.org>  Fri, 11 Sep 2020 15:03:18 +0200

pgsphere (1.1.1+2020-08-21-1) unstable; urgency=medium

  [ Christoph Berg ]
  * New snapshot with MOC support.
  * Switch to standard PostgreSQL extension package layout with one .deb per
    PG major version. (Closes: #962261)
  * Build and install docs.
  * Remove duplicate documentation files.
  * Point watch file at github, pgfoundry is ultimately dead.
  * Update Markus' email address.
  * DH 13.

  [ Debian Janitor ]
  * Use secure copyright file specification URI.
  * Update standards version to 4.4.1, no changes needed.
  * Set upstream metadata fields: Repository, Repository-Browse.

 -- Christoph Berg <myon@debian.org>  Fri, 21 Aug 2020 14:36:38 +0200

=== debian/control ===
Source: pgsphere
Section: database
Priority: optional
Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
Uploaders: Ole Streicher <olebole@debian.org>,
           Markus Nullmeier <mnullmei@vodafonemail.de>,
           Christoph Berg <myon@debian.org>,
Build-Depends: debhelper-compat (= 13),
               docbook-dsssl,
               docbook-xml,
               flex,
               libhealpix-cxx-dev (>= 3.30.0),
               postgresql-all (>= 217~),
Standards-Version: 4.5.0
Rules-Requires-Root: no
Homepage: https://pgsphere.github.io/
Vcs-Browser: https://salsa.debian.org/postgresql/pgsphere
Vcs-Git: https://salsa.debian.org/postgresql/pgsphere.git

Package: postgresql-13-pgsphere
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         postgresql-13,
Provides: postgresql-pgsphere
Description: Spherical data types for PostgreSQL
 PgSphere, an extension for PostgreSQL, aims at providing uniform
 access to spherical data. It allows for a fast search and analysis for
 objects with spherical attributes in geographical, astronomical, or
 other applications using PostgreSQL.
 .
 By using an SQL interface, PgSphere's users can conveniently manage
 data of geographical objects around the world and astronomical data
 collections like star and other catalogues.

## pgsphere 1.1.1+2021~20220627.1618-11-10-1~1.gitf88c415.pgdg18.04+1

=== debian/changelog ===
pgsphere (1.1.1+2021~20220627.1618-11-10-1~1.gitf88c415.pgdg18.04+1) bionic-pgdg; urgency=medium

  * Rebuild for bionic-pgdg.
  * Changes applied by generate-pgdg-source:
    + Using debhelper 11.
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Fri, 19 Nov 2021 16:37:30 +0100

pgsphere (1.1.1+2021-11-10-1) unstable; urgency=medium

  * New upstream version 1.1.1+2021-11-10.
  * Upload for PostgreSQL 14.

 -- Christoph Berg <myon@debian.org>  Fri, 19 Nov 2021 16:37:30 +0100

pgsphere (1.1.1+2020-10-20-3) unstable; urgency=medium

  * Temporarily hard-code PostgreSQL version to 13 to get the healpix-cxx3
    transition unstuck.

 -- Christoph Berg <myon@debian.org>  Fri, 29 Oct 2021 22:58:14 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Ole Streicher <olebole@debian.org>,
            Markus Nullmeier <mnullmei@vodafonemail.de>,
            Christoph Berg <myon@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: debhelper (>= 11),
                docbook-dsssl,
                docbook-xml,
                flex,
@@ -16,6 +16,54 @@
 Homepage: https://pgsphere.github.io/
 Vcs-Browser: https://salsa.debian.org/postgresql/pgsphere
 Vcs-Git: https://salsa.debian.org/postgresql/pgsphere.git
+
+Package: postgresql-10-pgsphere
+Architecture: any
+Depends: ${misc:Depends},
+         ${shlibs:Depends},
+         postgresql-10,
+Provides: postgresql-pgsphere
+Description: Spherical data types for PostgreSQL
+ PgSphere, an extension for PostgreSQL, aims at providing uniform
+ access to spherical data. It allows for a fast search and analysis for
+ objects with spherical attributes in geographical, astronomical, or
+ other applications using PostgreSQL.
+ .
+ By using an SQL interface, PgSphere's users can conveniently manage
+ data of geographical objects around the world and astronomical data
+ collections like star and other catalogues.
+
+Package: postgresql-11-pgsphere
+Architecture: any
+Depends: ${misc:Depends},
+         ${shlibs:Depends},
+         postgresql-11,
+Provides: postgresql-pgsphere
+Description: Spherical data types for PostgreSQL
+ PgSphere, an extension for PostgreSQL, aims at providing uniform
+ access to spherical data. It allows for a fast search and analysis for
+ objects with spherical attributes in geographical, astronomical, or
+ other applications using PostgreSQL.
+ .
+ By using an SQL interface, PgSphere's users can conveniently manage
+ data of geographical objects around the world and astronomical data
+ collections like star and other catalogues.
+
+Package: postgresql-12-pgsphere
+Architecture: any
+Depends: ${misc:Depends},
+         ${shlibs:Depends},
+         postgresql-12,
+Provides: postgresql-pgsphere
+Description: Spherical data types for PostgreSQL
+ PgSphere, an extension for PostgreSQL, aims at providing uniform
+ access to spherical data. It allows for a fast search and analysis for
+ objects with spherical attributes in geographical, astronomical, or
+ other applications using PostgreSQL.
+ .
+ By using an SQL interface, PgSphere's users can conveniently manage
+ data of geographical objects around the world and astronomical data
+ collections like star and other catalogues.
 
 Package: postgresql-13-pgsphere
 Architecture: any
@@ -32,3 +80,19 @@
  By using an SQL interface, PgSphere's users can conveniently manage
  data of geographical objects around the world and astronomical data
  collections like star and other catalogues.
+
+Package: postgresql-14-pgsphere
+Architecture: any
+Depends: ${misc:Depends},
+         ${shlibs:Depends},
+         postgresql-14,
+Provides: postgresql-pgsphere
+Description: Spherical data types for PostgreSQL
+ PgSphere, an extension for PostgreSQL, aims at providing uniform
+ access to spherical data. It allows for a fast search and analysis for
+ objects with spherical attributes in geographical, astronomical, or
+ other applications using PostgreSQL.
+ .
+ By using an SQL interface, PgSphere's users can conveniently manage
+ data of geographical objects around the world and astronomical data
+ collections like star and other catalogues.

## pgsphere 1.1.1+2021~20220627.1618-11-10-1~1.gitf88c415.pgdg20.04+1

=== debian/changelog ===
pgsphere (1.1.1+2021~20220627.1618-11-10-1~1.gitf88c415.pgdg20.04+1) focal-pgdg; urgency=medium

  * Rebuild for focal-pgdg.
  * Changes applied by generate-pgdg-source:
    + Using debhelper 12.
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Fri, 19 Nov 2021 16:37:30 +0100

## pgsphere 1.1.1+2021~20220627.1618-11-10-1~1.gitf88c415.pgdg22.04+1

=== debian/changelog ===
pgsphere (1.1.1+2021~20220627.1618-11-10-1~1.gitf88c415.pgdg22.04+1) jammy-pgdg; urgency=medium

  * Rebuild for jammy-pgdg.
  * Changes applied by generate-pgdg-source:
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Fri, 19 Nov 2021 16:37:30 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Ole Streicher <olebole@debian.org>,
            Markus Nullmeier <mnullmei@vodafonemail.de>,
            Christoph Berg <myon@debian.org>,
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper-compat (= 13),
                docbook-dsssl,
                docbook-xml,
                flex,

## pgsphere 1.1.1+2021~20220627.1618-11-10-1~1.gitf88c415.pgdg90+1

=== debian/changelog ===
pgsphere (1.1.1+2021~20220627.1618-11-10-1~1.gitf88c415.pgdg90+1) stretch-pgdg; urgency=medium

  * Rebuild for stretch-pgdg.
  * Changes applied by generate-pgdg-source:
    + Using debhelper 10.
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Fri, 19 Nov 2021 16:37:30 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Ole Streicher <olebole@debian.org>,
            Markus Nullmeier <mnullmei@vodafonemail.de>,
            Christoph Berg <myon@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: debhelper (>= 10),
                docbook-dsssl,
                docbook-xml,
                flex,

## pgsphere 1.1.1+2021~20220627.1618-11-10-1~1.gitf88c415.pgdg100+1

=== debian/changelog ===
pgsphere (1.1.1+2021~20220627.1618-11-10-1~1.gitf88c415.pgdg100+1) buster-pgdg; urgency=medium

  * Rebuild for buster-pgdg.
  * Changes applied by generate-pgdg-source:
    + Using debhelper 12.
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Fri, 19 Nov 2021 16:37:30 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Ole Streicher <olebole@debian.org>,
            Markus Nullmeier <mnullmei@vodafonemail.de>,
            Christoph Berg <myon@debian.org>,
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 12),
                docbook-dsssl,
                docbook-xml,
                flex,

## pgsphere 1.1.1+2021~20220627.1618-11-10-1~1.gitf88c415.pgdg110+1

=== debian/changelog ===
pgsphere (1.1.1+2021~20220627.1618-11-10-1~1.gitf88c415.pgdg110+1) bullseye-pgdg; urgency=medium

  * Rebuild for bullseye-pgdg.
  * Changes applied by generate-pgdg-source:
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Fri, 19 Nov 2021 16:37:30 +0100

## pgsphere 1.1.1+2021~20220627.1618-11-10-1~1.gitf88c415.pgdg120+1

=== debian/changelog ===
pgsphere (1.1.1+2021~20220627.1618-11-10-1~1.gitf88c415.pgdg120+1) bookworm-pgdg; urgency=medium

  * Rebuild for bookworm-pgdg.
  * Changes applied by generate-pgdg-source:
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Fri, 19 Nov 2021 16:37:30 +0100

## pgsphere 1.1.1+2021~20220627.1618-11-10-1~1.gitf88c415.pgdg+1

=== debian/changelog ===
pgsphere (1.1.1+2021~20220627.1618-11-10-1~1.gitf88c415.pgdg+1) sid-pgdg; urgency=medium

  * Rebuild for sid-pgdg.
  * Changes applied by generate-pgdg-source:
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Fri, 19 Nov 2021 16:37:30 +0100

## pgsphere 1.1.1+2021-11

=== Makefile ===
PGSPHERE_VERSION = 1.2.0

# the base dir name may be changed depending on git clone command
SRC_DIR = $(shell basename $(shell pwd))

MODULE_big = pg_sphere
OBJS       = sscan.o sparse.o sbuffer.o vector3d.o point.o \
             euler.o circle.o line.o ellipse.o polygon.o \
             path.o box.o output.o gq_cache.o gist.o key.o \
             gnomo.o healpix.o moc.o process_moc.o healpix_bare/healpix_bare.o

EXTENSION   = pg_sphere
RELEASE_SQL = $(EXTENSION)--$(PGSPHERE_VERSION).sql
DATA_built  = $(RELEASE_SQL) \
			  pg_sphere--unpackaged--1.1.5beta0gavo.sql \
			  pg_sphere--1.0--1.0_gavo.sql \
			  pg_sphere--1.0_gavo--1.1.5beta0gavo.sql \
			  pg_sphere--1.1.5beta0gavo--1.1.5beta2gavo.sql \
			  pg_sphere--1.1.5beta2gavo--1.1.5beta4gavo.sql \
			  pg_sphere--1.1.5beta4gavo--1.2.0.sql

DOCS        = README.pg_sphere COPYRIGHT.pg_sphere
REGRESS     = init tables points euler circle line ellipse poly path box index \
			  contains_ops contains_ops_compat bounding_box_gist gnomo healpix \
			  moc

REGRESS_9_5 = index_9.5 # experimental for spoint3

TESTS       = init_test tables points euler circle line ellipse poly path box index \
			  contains_ops contains_ops_compat bounding_box_gist gnomo healpix \
			  moc

ifndef CXXFLAGS
# no support for CXXFLAGS in PGXS before v11
CXXFLAGS = -Wall -Wpointer-arith -Wendif-labels \
		-Wmissing-format-attribute -Wformat-security -g -O2 -fPIC
endif

EXTRA_CLEAN = $(PGS_SQL) pg_sphere.test.sql

CRUSH_TESTS = init_extended circle_extended 

# order of sql files is important
PGS_SQL     = pgs_types.sql pgs_point.sql pgs_euler.sql pgs_circle.sql \
   pgs_line.sql pgs_ellipse.sql pgs_polygon.sql pgs_path.sql \
   pgs_box.sql pgs_contains_ops.sql pgs_contains_ops_compat.sql \
   pgs_gist.sql gnomo.sql \
   healpix.sql pgs_gist_spoint3.sql pgs_moc_type.sql pgs_moc_compat.sql pgs_moc_ops.sql
PGS_SQL_9_5 = pgs_9.5.sql # experimental for spoint3

USE_PGXS = 1
ifdef USE_PGXS
  ifndef PG_CONFIG
    PG_CONFIG := pg_config
  endif
  PGXS := $(shell $(PG_CONFIG) --pgxs)
  include $(PGXS)
else
  subdir = contrib/pg_sphere
  top_builddir = ../..
  PG_CONFIG := $(top_builddir)/src/bin/pg_config/pg_config
  include $(top_builddir)/src/Makefile.global
  include $(top_srcdir)/contrib/contrib-global.mk
endif

# compiler settings
override CPPFLAGS += -I/usr/include/healpix_cxx
SHLIB_LINK += -lhealpix_cxx
LINK.shared = g++ -shared

# healpix_bare.c isn't ours so we refrain from fixing the warnings in there
healpix_bare/healpix_bare.o : healpix_bare/healpix_bare.c
	$(COMPILE.c) -Wno-declaration-after-statement -o $@ $^

# experimental for spoint3
pg_version := $(word 2,$(shell $(PG_CONFIG) --version))
pg_version_9_5_plus = $(if $(filter-out 9.1% 9.2% 9.3% 9.4%,$(pg_version)),y,n)
has_parallel = $(if $(filter-out 9.1% 9.2% 9.3% 9.4% 9.5%,$(pg_version)),y,n)
has_explain_summary = $(if $(filter-out 9.%,$(pg_version)),y,n)
#

## the use of spoint 3 is too experimental and preliminary:
#ifeq ($(pg_version_9_5_plus),y)
#	REGRESS += $(REGRESS_9_5)
#	TESTS   += $(REGRESS_9_5)
#	PGS_SQL += $(PGS_SQL_9_5)
#endif

crushtest: REGRESS += $(CRUSH_TESTS)
crushtest: installcheck

ifeq ($(has_explain_summary),y)
        REGRESS += moc1 moc100
endif

ifeq ($(pg_version_9_5_plus),y)
        PGS_TMP_DIR = --temp-instance=tmp_check
else
        PGS_TMP_DIR = --temp-install=tmp_check --top-builddir=test_top_build_dir
endif

test: pg_sphere.test.sql sql/init_test.sql
	$(pg_regress_installcheck) $(PGS_TMP_DIR) $(REGRESS_OPTS) $(TESTS)

pg_sphere.test.sql: $(RELEASE_SQL) $(shlib)
	tail -n+3 $< | sed 's,MODULE_PATHNAME,$(realpath $(shlib)),g' >$@


$(RELEASE_SQL): $(addsuffix .in, $(RELEASE_SQL) $(PGS_SQL))
	cat $^ > $@
ifeq ($(has_parallel), n)
	sed -i -e '/PARALLEL/d' $@ # version $(pg_version) does not have support for PARALLEL
endif

# for "create extension from unpacked*":

UPGRADE_UNP_COMMON =  pgs_types.sql pgs_point.sql pgs_euler.sql pgs_circle.sql \
	pgs_line.sql pgs_ellipse.sql pgs_polygon.sql pgs_path.sql \
	pgs_box.sql pgs_contains_ops_compat.sql pgs_gist.sql \
	pgs_gist_contains_ops.sql contains-ops-fixes-1.sql

AUGMENT_UNP_COMMON = upgrade_scripts/pgs_pre111.sql pgs_contains_ops.sql \
	gnomo.sql
# for vanilla 1.1.1 users
AUGMENT_UNP_111 = $(AUGMENT_UNP_COMMON) pgs_gist_pointkey.sql

# for 1.1.2+ users: 'from unpacked_1.1.2plus'
AUGMENT_UNP_FOR_112plus = $(AUGMENT_UNP_COMMON)
UPGRADE_UNP_FOR_112plus = pgs_gist_pointkey.sql pgs_gist_drop_spoint2.sql.in

# for "alter extension":

# TODO: add dynamic pl/pgsql to do perform an additional
#    "ALTER EXTENSION pg_sphere UPDATE TO '1.1.5_from_before_2016-02-07';"
# if required.
#
# default 1.0 (after 2016-02-07) -> 1.1.5
UPGRADE_1_0_PRE_xxxxxx = contains-ops-fixes-2.sql
# '1.1.5_from_2015-08-31'
AUGMENT_1_0_PRE_AAF2D5 = pgs_contains_ops.sql gnomo.sql
UPGRADE_1_0_PRE_AAF2D5 = contains-ops-fixes-1.sql pgs_gist_drop_spoint2.sql.in \
						pgs_gist_contains_ops.sql

# vanilla 'create from unpackaged' must assume 1.1.1
# ...

# create "create extension from unpacked*" files

# create "alter extension" files


ifeq ($(pg_version_9_5_plus),y)
# 1.1.1.5 -> 1.1.5.1 for Postgres 9.5+ features
else
endif

# local stuff follows here, next will be "beta2"

AUGMENT_GAVO_111 = $(AUGMENT_UNP_111) healpix.sql # for vanilla 1.1.1 users
UPGRADE_GAVO_111 = $(UPGRADE_UNP_COMMON)

# add new Healpix functions and experimental spoint3
AUGMENT_FROM_GAVO = healpix.sql pgs_gist_spoint3.sql

AUGMENT_UNP_115B0G = $(AUGMENT_UNP_111) $(AUGMENT_FROM_GAVO)
UPGRADE_UNP_115B0G = $(UPGRADE_UNP_COMMON)

AUGMENT_1_0_115B0G = $(AUGMENT_FROM_GAVO)
UPGRADE_1_0_115B0G = contains-ops-fixes-2.sql pgs_gist_drop_spoint2.sql

# test installation 0
pg_sphere--unpackaged--1.1.5beta0gavo.sql: $(addsuffix .in, \
		$(AUGMENT_GAVO_111) \
		$(addprefix upgrade_scripts/, $(UPGRADE_GAVO_111)))
	cat upgrade_scripts/$@.in $^ > $@

# (The upgrade of test installation A has been completed.)

# test installation B (generic)
pg_sphere--1.0--1.0_gavo.sql: # dummy upgrade to allow for descriptive names
	cat upgrade_scripts/$@.in > $@
pg_sphere--1.0_gavo--1.1.5beta0gavo.sql: $(addsuffix .in, \
		$(AUGMENT_1_0_115B0G) \
		$(addprefix upgrade_scripts/, $(UPGRADE_1_0_115B0G)))
	cat upgrade_scripts/$@.in $^ > $@

pg_sphere--1.1.5beta0gavo--1.1.5beta2gavo.sql: pgs_moc_type.sql.in
	cat upgrade_scripts/$@.in $^ > $@

pg_sphere--1.1.5beta2gavo--1.1.5beta4gavo.sql: pgs_moc_compat.sql.in
	cat upgrade_scripts/$@.in $^ > $@

pg_sphere--1.1.5beta4gavo--1.2.0.sql: pgs_moc_ops.sql.in
	cat $^ > $@
ifeq ($(has_parallel), n)
	sed -i -e '/PARALLEL/d' $@ # version $(pg_version) does not have support for PARALLEL
endif

# end of local stuff

sscan.o : sparse.c

sparse.c: sparse.y
ifdef YACC
	$(YACC) -d $(YFLAGS) -p sphere_yy -o sparse.c $<
else
	@$(missing) bison $< $@
endif

sscan.c : sscan.l
ifdef FLEX
	$(FLEX) $(FLEXFLAGS) -Psphere -o$@ $<
else
	@$(missing) flex $< $@
endif

dist : clean sparse.c sscan.c
	find . -name '*~' -type f -exec rm {} \;
	cd .. && tar --transform s/$(SRC_DIR)/pgsphere-$(PGSPHERE_VERSION)/ --exclude CVS --exclude .git -czf pgsphere-$(PGSPHERE_VERSION).tar.gz $(SRC_DIR) && cd -

## pgsphere 1.1.1+2021-11-10

=== debian/control ===
Source: pgsphere
Section: database
Priority: optional
Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
Uploaders: Ole Streicher <olebole@debian.org>,
           Markus Nullmeier <mnullmei@vodafonemail.de>,
           Christoph Berg <myon@debian.org>,
Build-Depends: debhelper-compat (= 13),
               docbook-dsssl,
               docbook-xml,
               flex,
               libhealpix-cxx-dev (>= 3.30.0),
               postgresql-all (>= 217~),
Standards-Version: 4.5.0
Rules-Requires-Root: no
Homepage: https://pgsphere.github.io/
Vcs-Browser: https://salsa.debian.org/postgresql/pgsphere
Vcs-Git: https://salsa.debian.org/postgresql/pgsphere.git

Package: postgresql-14-pgsphere
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         postgresql-14,
Provides: postgresql-pgsphere
Description: Spherical data types for PostgreSQL
 PgSphere, an extension for PostgreSQL, aims at providing uniform
 access to spherical data. It allows for a fast search and analysis for
 objects with spherical attributes in geographical, astronomical, or
 other applications using PostgreSQL.
 .
 By using an SQL interface, PgSphere's users can conveniently manage
 data of geographical objects around the world and astronomical data
 collections like star and other catalogues.

=== debian/rules ===
#!/usr/bin/make -f

# Fix C++ linking on 9.5/9.6
export PG_CXXFLAGS = -fPIC

override_dh_auto_build:
	$(MAKE) -C doc

override_dh_auto_clean:
	dh_auto_clean --buildsystem=pgxs_loop
	rm -rf results/
	$(MAKE) -C doc clean

override_dh_installdocs:
	dh_installdocs --all doc/html/
	# remove duplicate files from unwanted location
	rm -rv debian/postgresql-*-pgsphere/usr/share/doc/postgresql-doc-*

%:
	dh $@ --with pgxs_loop

=== debian/watch ===
version=4
https://github.com/pgsphere/pgsphere/releases .*/(.*).tar.gz

## pgsphere 1.2.3

=== Makefile ===
PGSPHERE_VERSION = 1.2.3
EXTENSION        = pg_sphere
RELEASE_SQL      = $(EXTENSION)--$(PGSPHERE_VERSION).sql
USE_PGXS         = 1
USE_HEALPIX      =? 1

# the base dir name may be changed depending on git clone command
SRC_DIR = $(shell basename $(shell pwd))

MODULE_big = pg_sphere
OBJS       = src/sscan.o src/sparse.o src/sbuffer.o src/vector3d.o src/point.o \
             src/euler.o src/circle.o src/line.o src/ellipse.o src/polygon.o \
             src/path.o src/box.o src/output.o src/gq_cache.o src/gist.o \
             src/key.o src/gnomo.o src/epochprop.o

ifneq ($(USE_HEALPIX),0)
OBJS      += src/healpix.o src/moc.o src/process_moc.o \
             healpix_bare/healpix_bare.o
endif

DATA_built  = $(RELEASE_SQL) \
			  pg_sphere--unpackaged--1.1.5beta0gavo.sql \
			  pg_sphere--1.0--1.0_gavo.sql \
			  pg_sphere--1.0_gavo--1.1.5beta0gavo.sql \
			  pg_sphere--1.1.5beta0gavo--1.1.5beta2gavo.sql \
			  pg_sphere--1.1.5beta2gavo--1.1.5beta4gavo.sql \
			  pg_sphere--1.1.5beta4gavo--1.2.0.sql \
			  pg_sphere--1.2.0--1.2.1.sql \
			  pg_sphere--1.2.1--1.2.2.sql \
			  pg_sphere--1.2.2--1.2.3.sql

DOCS        = README.pg_sphere COPYRIGHT.pg_sphere
REGRESS     = init tables points euler circle line ellipse poly path box index \
              contains_ops contains_ops_compat bounding_box_gist gnomo epochprop

ifneq ($(USE_HEALPIX),0)
REGRESS    += healpix moc mocautocast
endif

REGRESS_9_5 = index_9.5 # experimental for spoint3

TESTS       = init_test tables points euler circle line ellipse poly path box \
              index contains_ops contains_ops_compat bounding_box_gist gnomo \
              epochprop

ifneq ($(USE_HEALPIX),0)
TESTS      += healpix moc mocautocast
endif

PG_CFLAGS	+= -DPGSPHERE_VERSION=$(PGSPHERE_VERSION)
PG_CPPFLAGS	+= -DPGSPHERE_VERSION=$(PGSPHERE_VERSION)

ifndef CXXFLAGS
# no support for CXXFLAGS in PGXS before v11
CXXFLAGS = -Wall -Wpointer-arith -Wendif-labels \
		-Wmissing-format-attribute -Wformat-security -g -O2 -fPIC
endif

EXTRA_CLEAN = $(PGS_SQL) pg_sphere.test.sql

CRUSH_TESTS = init_extended circle_extended

# order of sql files is important
PGS_SQL     = pgs_types.sql pgs_point.sql pgs_euler.sql pgs_circle.sql \
              pgs_line.sql pgs_ellipse.sql pgs_polygon.sql pgs_path.sql \
              pgs_box.sql pgs_contains_ops.sql pgs_contains_ops_compat.sql \
              pgs_gist.sql gnomo.sql

ifneq ($(USE_HEALPIX),0)
PGS_SQL    += healpix.sql
endif

PGS_SQL    += pgs_gist_spoint3.sql

ifneq ($(USE_HEALPIX),0)
PGS_SQL    += pgs_moc_type.sql pgs_moc_compat.sql pgs_moc_ops.sql \
              pgs_moc_geo_casts.sql
endif

PGS_SQL    += pgs_epochprop.sql

PGS_SQL_9_5 = pgs_9.5.sql # experimental for spoint3

ifdef USE_PGXS
  ifndef PG_CONFIG
    PG_CONFIG = pg_config
  endif
  PGXS := $(shell $(PG_CONFIG) --pgxs)
  include $(PGXS)
else
  subdir = contrib/pg_sphere
  top_builddir = ../..
  PG_CONFIG := $(top_builddir)/src/bin/pg_config/pg_config
  include $(top_builddir)/src/Makefile.global
  include $(top_srcdir)/contrib/contrib-global.mk
endif

ifneq ($(USE_HEALPIX),0)
# compiler settings for linking with libhealpix_cxx
PKG_CONFIG ?= pkg-config
override CPPFLAGS += $(shell $(PKG_CONFIG) --cflags healpix_cxx)
SHLIB_LINK += $(shell $(PKG_CONFIG) --libs healpix_cxx)
LINK.shared = g++ -shared
endif

# healpix_bare.c isn't ours so we refrain from fixing the warnings in there
healpix_bare/healpix_bare.o : healpix_bare/healpix_bare.c
	$(COMPILE.c) -Wno-declaration-after-statement -o $@ $^

# experimental for spoint3
pg_version := $(word 2,$(shell $(PG_CONFIG) --version))
pg_version_9_5_plus = $(if $(filter-out 9.1% 9.2% 9.3% 9.4%,$(pg_version)),y,n)
has_explain_summary = $(if $(filter-out 9.%,$(pg_version)),y,n)

## the use of spoint 3 is too experimental and preliminary:
#ifeq ($(pg_version_9_5_plus),y)
#	REGRESS += $(REGRESS_9_5)
#	TESTS   += $(REGRESS_9_5)
#	PGS_SQL += $(PGS_SQL_9_5)
#endif

crushtest: REGRESS += $(CRUSH_TESTS)
crushtest: installcheck

ifneq ($(USE_HEALPIX),0)
ifeq ($(has_explain_summary),y)
        REGRESS += moc1 moc100
endif
endif

ifeq ($(pg_version_9_5_plus),y)
        PGS_TMP_DIR = --temp-instance=tmp_check
else
        PGS_TMP_DIR = --temp-install=tmp_check --top-builddir=test_top_build_dir
endif

test: pg_sphere.test.sql sql/init_test.sql
	cp expected/init_test.out.in expected/init_test.out
ifneq ($(USE_HEALPIX),0)
	cat expected/init_test_healpix.out.in >> expected/init_test.out
endif
	$(pg_regress_installcheck) $(PGS_TMP_DIR) $(REGRESS_OPTS) $(TESTS)

pg_sphere.test.sql: $(RELEASE_SQL) $(shlib)
	tail -n+3 $< | sed 's,MODULE_PATHNAME,$(realpath $(shlib)),g' >$@


$(RELEASE_SQL): $(addsuffix .in, $(RELEASE_SQL) $(PGS_SQL))
	cat $^ > $@

# for "create extension from unpacked*":

UPGRADE_UNP_COMMON = pgs_types.sql pgs_point.sql pgs_euler.sql pgs_circle.sql \
	pgs_line.sql pgs_ellipse.sql pgs_polygon.sql pgs_path.sql \
	pgs_box.sql pgs_contains_ops_compat.sql pgs_gist.sql \
	pgs_gist_contains_ops.sql contains-ops-fixes-1.sql

AUGMENT_UNP_COMMON = upgrade_scripts/pgs_pre111.sql pgs_contains_ops.sql \
	gnomo.sql
# for vanilla 1.1.1 users:
AUGMENT_UNP_111 = $(AUGMENT_UNP_COMMON) pgs_gist_pointkey.sql

# for 1.1.2+ users: 'from unpacked_1.1.2plus'
AUGMENT_UNP_FOR_112plus = $(AUGMENT_UNP_COMMON)
UPGRADE_UNP_FOR_112plus = pgs_gist_pointkey.sql pgs_gist_drop_spoint2.sql.in

# for "alter extension":

# TODO: add dynamic pl/pgsql to do perform an additional
#    "ALTER EXTENSION pg_sphere UPDATE TO '1.1.5_from_before_2016-02-07';"
# if required.
#
# default 1.0 (after 2016-02-07) -> 1.1.5
UPGRADE_1_0_PRE_xxxxxx = contains-ops-fixes-2.sql
# '1.1.5_from_2015-08-31'
AUGMENT_1_0_PRE_AAF2D5 = pgs_contains_ops.sql gnomo.sql
UPGRADE_1_0_PRE_AAF2D5 = contains-ops-fixes-1.sql pgs_gist_drop_spoint2.sql.in \
						pgs_gist_contains_ops.sql

# vanilla 'create from unpackaged' must assume 1.1.1
# ...

# create "create extension from unpacked*" files

# create "alter extension" files


ifeq ($(pg_version_9_5_plus),y)
# 1.1.1.5 -> 1.1.5.1 for Postgres 9.5+ features
else
endif

# local stuff follows here
AUGMENT_GAVO_111 = $(AUGMENT_UNP_111) # for vanilla 1.1.1 users
ifneq ($(USE_HEALPIX),0)
AUGMENT_GAVO_111 += healpix.sql
endif
UPGRADE_GAVO_111 = $(UPGRADE_UNP_COMMON)

# add new HEALPix functions and experimental spoint3
ifneq ($(USE_HEALPIX),0)
AUGMENT_FROM_GAVO = healpix.sql
endif
AUGMENT_FROM_GAVO += pgs_gist_spoint3.sql

AUGMENT_UNP_115B0G = $(AUGMENT_UNP_111) $(AUGMENT_FROM_GAVO)
UPGRADE_UNP_115B0G = $(UPGRADE_UNP_COMMON)

AUGMENT_1_0_115B0G = $(AUGMENT_FROM_GAVO)
UPGRADE_1_0_115B0G = contains-ops-fixes-2.sql pgs_gist_drop_spoint2.sql

# test installation 0
pg_sphere--unpackaged--1.1.5beta0gavo.sql: $(addsuffix .in, \
		$(AUGMENT_GAVO_111) \
		$(addprefix upgrade_scripts/, $(UPGRADE_GAVO_111)))
	cat upgrade_scripts/$@.in $^ > $@

# (The upgrade of test installation A has been completed.)

# test installation B (generic)
pg_sphere--1.0--1.0_gavo.sql: # dummy upgrade to allow for descriptive names
	cat upgrade_scripts/$@.in > $@
pg_sphere--1.0_gavo--1.1.5beta0gavo.sql: $(addsuffix .in, \
		$(AUGMENT_1_0_115B0G) \
		$(addprefix upgrade_scripts/, $(UPGRADE_1_0_115B0G)))
	cat upgrade_scripts/$@.in $^ > $@

ifneq ($(USE_HEALPIX),0)
pg_sphere--1.1.5beta0gavo--1.1.5beta2gavo.sql: pgs_moc_type.sql.in
	cat upgrade_scripts/$@.in $^ > $@

pg_sphere--1.1.5beta2gavo--1.1.5beta4gavo.sql: pgs_moc_compat.sql.in
	cat upgrade_scripts/$@.in $^ > $@

pg_sphere--1.1.5beta4gavo--1.2.0.sql: pgs_moc_ops.sql.in
	cat upgrade_scripts/$@.in $^ > $@

pg_sphere--1.2.0--1.2.1.sql: pgs_moc_geo_casts.sql.in pgs_epochprop.sql.in
	cat upgrade_scripts/$@.in $^ > $@

pg_sphere--1.2.1--1.2.2.sql: upgrade_scripts/pg_sphere--1.2.1--1.2.2-healpix.sql.in
	cat upgrade_scripts/$@.in $^ > $@
else
pg_sphere--1.1.5beta0gavo--1.1.5beta2gavo.sql:
	cat upgrade_scripts/$@.in > $@

pg_sphere--1.1.5beta2gavo--1.1.5beta4gavo.sql:
	cat upgrade_scripts/$@.in > $@

pg_sphere--1.1.5beta4gavo--1.2.0.sql:
	cat upgrade_scripts/$@.in > $@

pg_sphere--1.2.0--1.2.1.sql: pgs_epochprop.sql.in
	cat upgrade_scripts/$@.in $^ > $@

pg_sphere--1.2.1--1.2.2.sql:
	cat upgrade_scripts/$@.in > $@
endif

pg_sphere--1.2.2--1.2.3.sql:
	cat upgrade_scripts/$@.in > $@

# end of local stuff

src/sscan.o : src/sparse.c

src/sparse.c: src/sparse.y
ifdef YACC
	$(YACC) -d $(YFLAGS) -p sphere_yy -o $@ $<
else
	@$(missing) bison $< $@
endif

src/sscan.c : src/sscan.l
ifdef FLEX
	$(FLEX) $(FLEXFLAGS) -Psphere -o$@ $<
else
	@$(missing) flex $< $@
endif

dist : clean sparse.c sscan.c
	find . -name '*~' -type f -exec rm {} \;
	cd .. && tar --transform s/$(SRC_DIR)/pgsphere-$(PGSPHERE_VERSION)/ --exclude CVS --exclude .git -czf pgsphere-$(PGSPHERE_VERSION).tar.gz $(SRC_DIR) && cd -

=== debian/changelog ===
pgsphere (1.2.3-1) unstable; urgency=medium

  * New upstream version 1.2.3 from postgrespro/pgsphere.
  * Add pkgconf to B-D.

 -- Christoph Berg <myon@debian.org>  Mon, 31 Jul 2023 17:13:41 +0200

pgsphere (1.1.1+2021-11-10-2) unstable; urgency=medium

  * Upload for PostgreSQL 15.
  * debian/watch: Look at GitHub tags instead of releases.

 -- Christoph Berg <myon@debian.org>  Mon, 24 Oct 2022 15:06:39 +0200

=== debian/control ===
--- 
+++ 
@@ -10,18 +10,19 @@
                docbook-xml,
                flex,
                libhealpix-cxx-dev (>= 3.30.0),
+               pkgconf,
                postgresql-all (>= 217~),
-Standards-Version: 4.5.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Homepage: https://pgsphere.github.io/
 Vcs-Browser: https://salsa.debian.org/postgresql/pgsphere
 Vcs-Git: https://salsa.debian.org/postgresql/pgsphere.git
 
-Package: postgresql-14-pgsphere
+Package: postgresql-15-pgsphere
 Architecture: any
 Depends: ${misc:Depends},
          ${shlibs:Depends},
-         postgresql-14,
+         postgresql-15,
 Provides: postgresql-pgsphere
 Description: Spherical data types for PostgreSQL
  PgSphere, an extension for PostgreSQL, aims at providing uniform

## pgsphere 1.3.0

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-PGSPHERE_VERSION = 1.2.3
+PGSPHERE_VERSION = 1.3.0
 EXTENSION        = pg_sphere
 RELEASE_SQL      = $(EXTENSION)--$(PGSPHERE_VERSION).sql
 USE_PGXS         = 1
@@ -11,7 +11,7 @@
 OBJS       = src/sscan.o src/sparse.o src/sbuffer.o src/vector3d.o src/point.o \
              src/euler.o src/circle.o src/line.o src/ellipse.o src/polygon.o \
              src/path.o src/box.o src/output.o src/gq_cache.o src/gist.o \
-             src/key.o src/gnomo.o src/epochprop.o
+             src/key.o src/gnomo.o src/epochprop.o src/brin.o
 
 ifneq ($(USE_HEALPIX),0)
 OBJS      += src/healpix.o src/moc.o src/process_moc.o \
@@ -27,11 +27,13 @@
 			  pg_sphere--1.1.5beta4gavo--1.2.0.sql \
 			  pg_sphere--1.2.0--1.2.1.sql \
 			  pg_sphere--1.2.1--1.2.2.sql \
-			  pg_sphere--1.2.2--1.2.3.sql
+			  pg_sphere--1.2.2--1.2.3.sql \
+			  pg_sphere--1.2.3--1.3.0.sql
 
 DOCS        = README.pg_sphere COPYRIGHT.pg_sphere
 REGRESS     = init tables points euler circle line ellipse poly path box index \
-              contains_ops contains_ops_compat bounding_box_gist gnomo epochprop
+              contains_ops contains_ops_compat bounding_box_gist gnomo epochprop \
+              contains overlaps spoint_brin sbox_brin
 
 ifneq ($(USE_HEALPIX),0)
 REGRESS    += healpix moc mocautocast
@@ -41,7 +43,7 @@
 
 TESTS       = init_test tables points euler circle line ellipse poly path box \
               index contains_ops contains_ops_compat bounding_box_gist gnomo \
-              epochprop
+              epochprop contains overlaps spoint_brin sbox_brin
 
 ifneq ($(USE_HEALPIX),0)
 TESTS      += healpix moc mocautocast
@@ -64,7 +66,7 @@
 PGS_SQL     = pgs_types.sql pgs_point.sql pgs_euler.sql pgs_circle.sql \
               pgs_line.sql pgs_ellipse.sql pgs_polygon.sql pgs_path.sql \
               pgs_box.sql pgs_contains_ops.sql pgs_contains_ops_compat.sql \
-              pgs_gist.sql gnomo.sql
+              pgs_gist.sql gnomo.sql pgs_brin.sql
 
 ifneq ($(USE_HEALPIX),0)
 PGS_SQL    += healpix.sql
@@ -260,6 +262,9 @@
 pg_sphere--1.2.2--1.2.3.sql:
 	cat upgrade_scripts/$@.in > $@
 
+pg_sphere--1.2.3--1.3.0.sql: pgs_brin.sql.in
+	cat upgrade_scripts/$@.in $^ > $@
+
 # end of local stuff
 
 src/sscan.o : src/sparse.c

=== debian/changelog ===
pgsphere (1.3.0-1) unstable; urgency=medium

  * New upstream version 1.3.0.

 -- Christoph Berg <myon@debian.org>  Mon, 04 Sep 2023 17:04:33 +0200

pgsphere (1.2.3-2) unstable; urgency=medium

  * Fix compatibility with PG16.

 -- Christoph Berg <myon@debian.org>  Mon, 31 Jul 2023 18:25:53 +0200
